player_laser_config Struct Reference

Request/reply: Get/set scan properties. More...

`#include <player_interfaces.h>`

## Public Attributes

float | min_angle
| Start and end angles for the laser scan [rad]. More...
float | max_angle
| Start and end angles for the laser scan [rad]. More...
float | resolution
| Scan resolution [rad]. More...
float | max_range
| Maximum range [m].
float | range_res
| Range Resolution [m].
uint8_t | intensity
| Enable reflection intensity data. More...
float | scanning_frequency
| Scanning frequency [Hz].

## Detailed Description

Request/reply: Get/set scan properties.

The scan configuration (resolution, aperture, etc) can be queried by sending a null PLAYER_LASER_REQ_GET_CONFIG request and modified by sending a PLAYER_LASER_REQ_SET_CONFIG request. In either case, the current configuration (after attempting any requested modification) will be returned in the response. Read the documentation for your driver to determine what configuration values are permissible.

## Member Data Documentation

uint8_t player_laser_config::intensity

Enable reflection intensity data.

float player_laser_config::max_angle

Start and end angles for the laser scan [rad].

float player_laser_config::min_angle

Start and end angles for the laser scan [rad].

float player_laser_config::resolution

Scan resolution [rad].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45